# Generated by Django 5.0.1 on 2024-02-09 11:52

import datetime
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('stela_control', '0002_alter_billingrecipt_option_alter_company_business_and_more'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='content',
            name='video',
            field=models.FileField(blank=True, null=True, upload_to='video/'),
        ),
        migrations.AddField(
            model_name='resource',
            name='category',
            field=models.CharField(default='Empty', max_length=255, verbose_name='Resource Category'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='resource',
            name='cover',
            field=models.ImageField(default='Empty', upload_to='resource-cover/', verbose_name='Resource Cover'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='billingrecipt',
            name='option',
            field=models.CharField(choices=[('budget_development', 'Budget Development'), ('Billing receipt', 'Billing receipt'), ('budget_design', 'Budget Design'), ('Others', 'Others'), ('budget_marketing', 'Budget Marketing'), ('Monthly charge', 'Monthly charge')], max_length=60, null=True, verbose_name='Case'),
        ),
        migrations.AlterField(
            model_name='company',
            name='business',
            field=models.CharField(blank=True, choices=[('Repair and Maintenance Services', 'Repair and Maintenance Services'), ('Marketing and Advertising Services', 'Marketing and Advertising Services'), ('E-commerce', 'E-commerce'), ('Education and Training', 'Education and Training'), ('Restaurants and Food Services', 'Restaurants and Food Services'), ('Beauty and Personal Care Services', 'Beauty and Personal Care Services'), ('Health and Wellness', 'Health and Wellness'), ('Consulting', 'Consulting'), ('IT Development Services', 'IT Development Services'), ('Media Creators', 'Media Creators'), ('Logistics and Transportation Services', 'Logistics and Transportation Services')], max_length=100, null=True, verbose_name='Business Type'),
        ),
        migrations.AlterField(
            model_name='content',
            name='card',
            field=models.CharField(blank=True, choices=[('card-light-blue', 'card-light-blue'), ('card-light-danger', 'card-light-danger'), ('card-dark-blue', 'card-dark-blue'), ('card-tale', 'card-tale')], max_length=50, null=True, verbose_name='Color Card'),
        ),
        migrations.AlterField(
            model_name='content',
            name='category',
            field=models.CharField(blank=True, choices=[('Advices', 'Advices'), ('Interviews', 'Interviews'), ('News', 'News'), ('Events', 'Events'), ('Resources', 'Resources'), ('Stories', 'Stories')], default='News', max_length=100),
        ),
        migrations.AlterField(
            model_name='facebookpagecomments',
            name='update_rate',
            field=models.DateTimeField(default=datetime.datetime(2024, 2, 9, 8, 51, 25, 175883)),
        ),
        migrations.AlterField(
            model_name='itemdiscount',
            name='field',
            field=models.CharField(choices=[('Stela Payment Free Suscription', 'Stela Payment Free Suscription'), ('No Selected', 'No Selected'), ('Initial Payment', 'Initial Payment'), ('Promotional Discount', 'Promotional Discount')], max_length=60),
        ),
        migrations.AlterField(
            model_name='newsletter',
            name='template',
            field=models.CharField(choices=[('Style Template 4', 'Style Template 4'), ('Style Template 3', 'Style Template 3'), ('Style Template 2', 'Style Template 2'), ('Style Template 1', 'Style Template 1')], max_length=60, null=True, verbose_name='Style'),
        ),
        migrations.AlterField(
            model_name='order',
            name='section',
            field=models.CharField(choices=[('Stela Websites', 'Stela Websites'), ('No Selected', 'No Selected'), ('Cloud Domains', 'Cloud Domains'), ('Store', 'Store'), ('Stela Design', 'Stela Design'), ('Stela Marketing', 'Stela Marketing'), ('Cloud Elastic Instance', 'Cloud Elastic Instance')], default='No Selected', max_length=50),
        ),
        migrations.AlterField(
            model_name='order',
            name='status',
            field=models.CharField(choices=[('Pending', 'Pending'), ('Completed', 'Completed')], default='Pending', max_length=100),
        ),
        migrations.AlterField(
            model_name='pathcontrol',
            name='step',
            field=models.CharField(choices=[('Step 3', 'Step 3'), ('Step 2', 'Step 2'), ('Step 4', 'Step 4')], default='No Selected', max_length=50),
        ),
        migrations.AlterField(
            model_name='resource',
            name='title',
            field=models.CharField(max_length=255, verbose_name='Title'),
        ),
        migrations.AlterField(
            model_name='sendmoney',
            name='status',
            field=models.CharField(choices=[('Pending', 'Pending'), ('Completed', 'Completed')], default='Pending', max_length=50),
        ),
        migrations.AlterField(
            model_name='sitepolicy',
            name='section',
            field=models.CharField(blank=True, choices=[('Disclaimer', 'Disclaimer'), ('Terms and Conditions', 'Terms and Conditions'), ('Return Policy', 'Return Policy'), ('monthly_terms', 'Billing Terms'), ('Cookie Policy', 'Cookie Policy'), ('budget_development_terms', 'Budget Development Terms'), ('billing_terms', 'Monthly Billing Terms'), ('Privacy Policy', 'Privacy Policy'), ('budget_marketing_terms', 'Budget Marketing Terms'), ('budget_design_terms', 'Budget Design Terms')], default='Terms and Conditions', max_length=150),
        ),
        migrations.AlterField(
            model_name='sociallinks',
            name='social',
            field=models.CharField(choices=[('Facebook', 'Facebook'), ('Instagram', 'Instagram'), ('Tiktok', 'Tiktok'), ('Youtube', 'Youtube'), ('Github', 'Github'), ('X', 'X'), ('Wikipedia', 'Wikipedia'), ('Linkedin', 'Linkedin')], default='No Selected', max_length=50),
        ),
        migrations.AlterField(
            model_name='wallet',
            name='type',
            field=models.CharField(choices=[('Zelle', 'Zelle'), ('Paypal', 'Paypal'), ('Binance', 'Binance')], max_length=100, verbose_name='Type of Wallet'),
        ),
        migrations.CreateModel(
            name='TaxID',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number_id', models.CharField(max_length=255, verbose_name='Number ID')),
                ('pdf_file', models.FileField(upload_to='taxID/', verbose_name='Business ID')),
                ('pdf_file2', models.FileField(blank=True, null=True, upload_to='taxID/', verbose_name='Articles of Organization')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='tax_id', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
